Subject: Delta Lathes

From: [email-masked] (Bruce)
Date: Sat, 06 Jul 1996 23:47:26 GMT

Hello all,

I was looking at a Delta lathe today which was purchased from a school
auction. It was about an 8" x 36" size (didn't have my ruler and I
didn't get the exact model of the machine) not in to bad of shape,
although I am quite an amatuer in this new hobby. My first question is
does anbody out there have a similiar lathe? and could they offer any
advice on what I should look at ? Are parts still available for this
type of machine? There are a couple of lathes for sale with this
company and any and all advice from all u metal workers would be
appreciated. Also the asking price was $1200. This price was as is
with no "cleanup" done to the machine. Is this a reasonable asking
price? 

One more thing I was looking in some old Popular Mechanics mags. and
ran across an ad for a milling machine kit from a company called
Caldwell Industries out of Luling Texas. Does anbody know if this
company is still in business and might anyone have the plans for this
kit or similiar style of kit ? I've been using my drill press with an
"X Y" axis table with fair results for non-precise work. I don't have
the bucks to buy a new machine so I am looking for some advice ?
Thanks in advance.

Bruce